Compare commits

..

72 Commits

Author SHA1 Message Date
Simon L
46f4136d30 update volume prune documentation
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-04-15 18:03:50 +02:00
Simon L
fcf1a1e11b increase to 4.9.0
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-04-15 17:55:45 +02:00
Simon L
efd6f2a738 Merge pull request #2343 from nextcloud/enh/noid/update-run-twice
sometimes the built-in upgrader needs to run several times
2023-04-15 17:42:14 +02:00
Simon L
a145bf33a3 fix the formatting of the aio-app section
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-04-15 17:37:09 +02:00
Simon L
3873795c05 also add poppler for pdf support
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-04-15 17:00:21 +02:00
Simon L
edf723e4f4 fix typo
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-04-15 16:48:49 +02:00
Simon L
34239f3e15 also install other vips bindings
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-04-15 16:47:16 +02:00
Simon L
cf28ad7d45 run imaginary as nobody user
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-04-15 16:35:05 +02:00
Simon L
cda66b1a11 add set -ex to imaginary
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-04-15 12:56:14 +02:00
Simon L
1aa861ba2a Merge pull request #2344 from nextcloud/imaginary-container-update
Imaginary update
2023-04-15 12:54:45 +02:00
szaimen
085d878223 imaginary-update automated change
Signed-off-by: GitHub <noreply@github.com>
2023-04-15 10:53:31 +00:00
Simon L
f0069816bc sometimes the built-in upgrader needs to run several times
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-04-15 12:52:25 +02:00
Simon L
8babb33540 Merge pull request #2288 from nextcloud/imaginary-alpine
migrate imaginary container to alpine
2023-04-14 17:02:02 +02:00
Zoey
7f918c37fc fix typo
Signed-off-by: Zoey <zoey@z0ey.de>
2023-04-14 16:06:37 +02:00
Zoey
ead696b683 Update .github/workflows/imaginary-update.yml
Co-authored-by: Simon L. <szaimen@e.mail.de>
Signed-off-by: Zoey <zoey@z0ey.de>
2023-04-14 15:55:32 +02:00
Zoey
f122ee5a07 Update .github/workflows/imaginary-update.yml
Co-authored-by: Simon L. <szaimen@e.mail.de>
Signed-off-by: Zoey <zoey@z0ey.de>
2023-04-14 15:55:12 +02:00
Zoey
1818eb10c3 Update .github/workflows/imaginary-update.yml
Co-authored-by: Simon L. <szaimen@e.mail.de>
Signed-off-by: Zoey <zoey@z0ey.de>
2023-04-14 15:54:57 +02:00
Simon L
779ca8e03d Merge pull request #2296 from nextcloud/enh/noid/add-easy-login-docs
add a link to the easy-login docs to the app
2023-04-14 15:49:43 +02:00
Simon L
4e7ab122e9 Merge pull request #2331 from nextcloud/szaimen-patch-1
Borg - revert to default checkpoint-interval
2023-04-14 15:49:36 +02:00
Simon L
1c5d9f0eb7 add a tag to the chart-yaml
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-04-14 15:47:32 +02:00
Simon L
9ba70425f4 re-add charts_dir
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-04-14 15:46:43 +02:00
Simon L
7acdb2dc92 add a warning as well for FTS
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-04-14 15:34:01 +02:00
Simon L
157588d95f add a link to the easy-login docs to the app
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-04-14 15:15:09 +02:00
Simon L
cab39e59be Merge pull request #2334 from nextcloud/enh/noid/disable-fts-on-nc26
disabling FTS on NC26 as the migration to ES8 is still pending
2023-04-14 15:14:01 +02:00
Simon L
ac005eb5c9 Merge pull request #2338 from nextcloud/aio-helm-update
Helm Chart updates
2023-04-14 15:00:35 +02:00
Simon L
4df6d2c971 Borg - revert to default checkpoint-interval
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-04-14 14:59:02 +02:00
Simon L
b75e10e5f3 Merge pull request #2328 from nextcloud/talk
talk use official coturn image
2023-04-14 14:58:25 +02:00
szaimen
033f0166f4 Helm Chart updates
Signed-off-by: GitHub <noreply@github.com>
2023-04-14 12:57:58 +00:00
Simon L
e7e29a2731 Merge pull request #2327 from ItsQuadrus/patch-1
Missing brace in readme.md
2023-04-14 14:57:35 +02:00
Simon L
916a25a62e Merge pull request #2307 from nextcloud/enh/noid/add-curl-timeout
add timeout for curl
2023-04-14 14:57:18 +02:00
Simon L
5a8989bb9f Merge pull request #2302 from nextcloud/apache-healthcheck
apache healthcheck, check localhost apacheport with every apache port
2023-04-14 14:56:40 +02:00
Simon L
714815e9f0 Merge pull request #2301 from nextcloud/talk-healthcheck
Talk use netcat to check stun/turn port using domain
2023-04-14 14:55:44 +02:00
Simon L
3a9d5d52d5 Merge pull request #2289 from nextcloud/enh/noid/add-nodejs
add nodejs in order to make recognize easier to install on arm64
2023-04-14 14:53:56 +02:00
Simon L
854b4115e8 Merge pull request #2316 from nextcloud/dependabot/docker/Containers/clamav/clamav/clamav-1.0.1-2
Bump clamav/clamav from 1.0.1-1 to 1.0.1-2 in /Containers/clamav
2023-04-14 14:49:39 +02:00
Simon L
23f2e96c71 Merge pull request #2299 from nextcloud/dependabot/docker/Containers/apache/httpd-2.4.57-alpine3.17
Bump httpd from 2.4.56-alpine3.17 to 2.4.57-alpine3.17 in /Containers/apache
2023-04-14 14:49:14 +02:00
Simon L
07adf95c35 Merge pull request #2282 from nextcloud/dependabot/docker/Containers/mastercontainer/docker-23.0.3-cli
Bump docker from 23.0.2-cli to 23.0.3-cli in /Containers/mastercontainer
2023-04-14 14:47:44 +02:00
Simon L
9848ceec38 Merge pull request #2271 from nextcloud/aio-dependency-update
Dependency updates
2023-04-14 14:47:14 +02:00
Simon L
cbfc5d4d15 Merge pull request #2250 from nextcloud/aio-yaml-update
Yaml updates
2023-04-14 14:38:37 +02:00
Simon L
28b9755a50 disabling FTS on NC26 as the migration to ES8 is still pending
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-04-14 13:41:02 +02:00
Zoey
34a5e6badf fix typo, use always latest build of version
Co-authored-by: Simon L. <szaimen@e.mail.de>
Signed-off-by: Zoey <zoey@z0ey.de>
2023-04-14 11:45:06 +02:00
Zoey
401150d427 add workflow
Signed-off-by: Zoey <zoey@z0ey.de>
2023-04-13 21:51:51 +02:00
Zoey
2d1ddccb28 talk use official coturn image
needs testing

Signed-off-by: Zoey <zoey@z0ey.de>
2023-04-13 21:36:11 +02:00
ItsQuadrus
06733e8009 Missing brace
Signed-off-by: ItsQuadrus <quadrus.yt@gmail.com>
2023-04-13 20:44:59 +02:00
szaimen
0b2c7f09b6 Yaml updates
Signed-off-by: GitHub <noreply@github.com>
2023-04-13 12:02:39 +00:00
szaimen
73e734b011 dependency updates
Signed-off-by: GitHub <noreply@github.com>
2023-04-13 12:02:28 +00:00
Simon L
e1890c8f3b add ref docs on cloudflare tunnel and dns-challenge
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-04-13 13:29:53 +02:00
Zoey
904d23147c add suggestion
Co-authored-by: Simon L. <szaimen@e.mail.de>
Signed-off-by: Zoey <zoey@z0ey.de>
2023-04-11 10:54:02 +02:00
Zoey
46ec1ea7f5 always check port 443
Signed-off-by: Zoey <zoey@z0ey.de>
2023-04-10 17:50:58 +02:00
Zoey
8cabad38a6 use commit sha and port 9000
Signed-off-by: Zoey <zoey@z0ey.de>
2023-04-10 17:20:04 +02:00
dependabot[bot]
1fa1c90e22 Bump clamav/clamav from 1.0.1-1 to 1.0.1-2 in /Containers/clamav
Bumps clamav/clamav from 1.0.1-1 to 1.0.1-2.

---
updated-dependencies:
- dependency-name: clamav/clamav
  dependency-type: direct:production
  update-type: version-update:semver-patch
...

Signed-off-by: dependabot[bot] <support@github.com>
2023-04-10 12:59:47 +00:00
Simon L
1ce496a323 add timeout for curl
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-04-09 01:03:06 +02:00
Zoey
d93c01f368 apache healthcheck, check localhost apacheport with every apache port
Signed-off-by: Zoey <zoey@z0ey.de>
2023-04-08 13:28:19 +02:00
Zoey
ee5d9493de Talk use netcat to check stun/turn port using domain
Signed-off-by: Zoey <zoey@z0ey.de>
2023-04-08 13:25:40 +02:00
Simon L
c5a1a00e38 update wording for cleaning up things properlyd
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-04-07 17:00:52 +02:00
dependabot[bot]
99f29aaaed Bump httpd in /Containers/apache
Bumps httpd from 2.4.56-alpine3.17 to 2.4.57-alpine3.17.

---
updated-dependencies:
- dependency-name: httpd
  dependency-type: direct:production
  update-type: version-update:semver-patch
...

Signed-off-by: dependabot[bot] <support@github.com>
2023-04-07 12:59:09 +00:00
Simon L
0435609521 add nodejs in order to make recognize easier to install on arm64
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-04-06 15:49:25 +02:00
Zoey
6fe6d7e0b4 migrate imaginary container to alpine
I think this is much better, then the old workflow (https://github.com/nextcloud-releases/all-in-one/blob/main/.github/workflows/imaginary.yml)

Signed-off-by: Zoey <zoey@z0ey.de>
2023-04-06 15:05:59 +02:00
dependabot[bot]
d3b099e8e3 Bump docker from 23.0.2-cli to 23.0.3-cli in /Containers/mastercontainer
Bumps docker from 23.0.2-cli to 23.0.3-cli.

---
updated-dependencies:
- dependency-name: docker
  dependency-type: direct:production
  update-type: version-update:semver-patch
...

Signed-off-by: dependabot[bot] <support@github.com>
2023-04-05 15:25:20 +00:00
Simon L
3cebbb6487 Merge pull request #2284 from nextcloud/dependabot/github_actions/peter-evans/create-pull-request-5
Bump peter-evans/create-pull-request from 4 to 5
2023-04-05 17:24:47 +02:00
Simon L
c6fc7baf2d Merge pull request #2283 from nextcloud/dependabot/github_actions/peter-evans/create-or-update-comment-3
Bump peter-evans/create-or-update-comment from 2 to 3
2023-04-05 16:47:59 +02:00
dependabot[bot]
0c93ad6def Bump peter-evans/create-pull-request from 4 to 5
Bumps [peter-evans/create-pull-request](https://github.com/peter-evans/create-pull-request) from 4 to 5.
- [Release notes](https://github.com/peter-evans/create-pull-request/releases)
- [Commits](https://github.com/peter-evans/create-pull-request/compare/v4...v5)

---
updated-dependencies:
- dependency-name: peter-evans/create-pull-request
  dependency-type: direct:production
  update-type: version-update:semver-major
...

Signed-off-by: dependabot[bot] <support@github.com>
2023-04-05 13:00:25 +00:00
dependabot[bot]
cd2208f295 Bump peter-evans/create-or-update-comment from 2 to 3
Bumps [peter-evans/create-or-update-comment](https://github.com/peter-evans/create-or-update-comment) from 2 to 3.
- [Release notes](https://github.com/peter-evans/create-or-update-comment/releases)
- [Commits](https://github.com/peter-evans/create-or-update-comment/compare/v2...v3)

---
updated-dependencies:
- dependency-name: peter-evans/create-or-update-comment
  dependency-type: direct:production
  update-type: version-update:semver-major
...

Signed-off-by: dependabot[bot] <support@github.com>
2023-04-05 13:00:21 +00:00
Simon L
e55500640b Merge pull request #2273 from nextcloud/MariusQuabeck-patch-1
add default path for borg compact
2023-04-05 11:58:44 +02:00
Marius Quabeck
ab8b455b71 add default path for borg compact
all examples up until the compact section work under the assumption that you are using the default backup path "/mnt/backup/borg" so path for compact should be the same

Signed-off-by: Marius Quabeck <marius.quabeck@nextcloud.com>
2023-04-04 18:03:11 +02:00
Simon L
81a8352d64 update dependency-update workflow
ssh ncadmin@192.168.24.128
2023-04-04 14:34:21 +02:00
Simon L
93a0616f7e increase to 4.8.1
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-04-03 10:30:05 +02:00
Simon L
409dda00bd Merge pull request #2255 from nextcloud/enh/noid/remove-workarounds
remove temporarily added dependencies after avatar problem was fixed
2023-04-03 10:29:01 +02:00
Simon L
517ac319ba Merge pull request #2259 from nextcloud/enh/2258/fix-details
define updaterdirectory and add forgotten exit
2023-04-03 10:27:27 +02:00
Simon L
34d8ae8e5a Merge pull request #2256 from nextcloud/enh/noid/add-sysvsem
add sysvsem
2023-04-03 10:26:49 +02:00
Simon L
ed36ba6c8d define updaterdirectory and add forgotten exit
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-04-02 11:26:42 +02:00
Simon L
15c90407bc add sysvsem
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-04-01 21:04:45 +02:00
Simon L
287a5a08cd remove temporarily added dependencies after avatar problem was fixed
after https://github.com/nextcloud/all-in-one/issues/1628 was fixed
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-04-01 21:01:28 +02:00
36 changed files with 194 additions and 140 deletions

View File

@@ -23,7 +23,7 @@ jobs:
steps:
- name: Add reaction on start
uses: peter-evans/create-or-update-comment@v2
uses: peter-evans/create-or-update-comment@v3
with:
token: ${{ secrets.COMMAND_BOT_PAT }}
repository: ${{ github.event.repository.full_name }}
@@ -42,7 +42,7 @@ jobs:
GITHUB_TOKEN: ${{ secrets.COMMAND_BOT_PAT }}
- name: Add reaction on failure
uses: peter-evans/create-or-update-comment@v2
uses: peter-evans/create-or-update-comment@v3
if: failure()
with:
token: ${{ secrets.COMMAND_BOT_PAT }}

View File

@@ -19,17 +19,18 @@ jobs:
run: |
set -x
cd ./php
composer update
set +e
ALL_LINES="$(composer outdated | grep -v "^$\|Direct dependencies\|Everything up to date\|Transitive dependencies")"
set -e
while [ -n "$ALL_LINES" ]; do
CURRENT_LINE="$(echo "$ALL_LINES" | head -1)"
composer require "$(echo "$CURRENT_LINE" | awk '{print $1}')" "^$(echo "$CURRENT_LINE" | awk '{print $4}')" --with-all-dependencies
ALL_LINES="$(echo "$ALL_LINES" | sed '1d')"
done
echo "outdated dependencies:
$(composer outdated)"
composer update --with-all-dependencies
# Disable dependency updates for now
# set +e
# ALL_LINES="$(composer outdated | grep -v "^$\|Direct dependencies\|Everything up to date\|Transitive dependencies")"
# set -e
# while [ -n "$ALL_LINES" ]; do
# CURRENT_LINE="$(echo "$ALL_LINES" | head -1)"
# composer require "$(echo "$CURRENT_LINE" | awk '{print $1}')" "^$(echo "$CURRENT_LINE" | awk '{print $4}')" --with-all-dependencies
# ALL_LINES="$(echo "$ALL_LINES" | sed '1d')"
# done
# echo "outdated dependencies:
# $(composer outdated)"
- name: Update apcu
run: |
# APCU
@@ -43,7 +44,7 @@ jobs:
)"
sed -i "s|pecl install APCu.*\;|pecl install APCu-$apcu_version\;|" ./Containers/mastercontainer/Dockerfile
- name: Create Pull Request
uses: peter-evans/create-pull-request@v4
uses: peter-evans/create-pull-request@v5
with:
commit-message: dependency updates
signoff: true

View File

@@ -41,6 +41,7 @@ jobs:
uses: helm/chart-releaser-action@main
with:
mark_as_latest: false
charts_dir: .
env:
CR_TOKEN: "${{ secrets.GITHUB_TOKEN }}"
CR_RELEASE_NAME_TEMPLATE: "helm-chart-{{ .Version }}"

33
.github/workflows/imaginary-update.yml vendored Normal file
View File

@@ -0,0 +1,33 @@
name: imaginary-update
on:
workflow_dispatch:
schedule:
- cron: '00 12 * * *'
jobs:
run_update:
name: update to latest imaginary commit on master branch
runs-on: ubuntu-latest
steps:
- uses: actions/checkout@v3
- name: Run imaginary-update
run: |
# Imaginary
imaginary_version="$(
git ls-remote https://github.com/h2non/imaginary master \
| cut -f1 \
| tail -1
)"
sed -i "s|go install github.com/h2non/imaginary.*|go install github.com/h2non/imaginary@$imaginary_version|" ./Containers/imaginary/Dockerfile
- name: Create Pull Request
uses: peter-evans/create-pull-request@v5
with:
commit-message: imaginary-update automated change
signoff: true
title: Imaginary update
body: Automated Imaginary container update
labels: dependencies, enhancement
milestone: next
branch: imaginary-container-update

View File

@@ -66,7 +66,7 @@ jobs:
sed -i "s|^ENV NEXTCLOUD_VERSION.*|ENV NEXTCLOUD_VERSION $NCVERSION|" ./Containers/nextcloud/Dockerfile
- name: Create Pull Request
uses: peter-evans/create-pull-request@v4
uses: peter-evans/create-pull-request@v5
with:
commit-message: nextcloud-update automated change
signoff: true

View File

@@ -31,7 +31,7 @@ jobs:
continue-on-error: true
- name: Create Pull Request
uses: peter-evans/create-pull-request@v4
uses: peter-evans/create-pull-request@v5
with:
token: ${{ secrets.COMMAND_BOT_PAT }}
commit-message: Update psalm baseline

View File

@@ -21,7 +21,7 @@ jobs:
sudo bash nextcloud-aio-helm-chart/update-helm.sh "$DOCKER_TAG"
fi
- name: Create Pull Request
uses: peter-evans/create-pull-request@v4
uses: peter-evans/create-pull-request@v5
with:
commit-message: Helm Chart updates
signoff: true

View File

@@ -16,7 +16,7 @@ jobs:
run: |
sudo bash manual-install/update-yaml.sh
- name: Create Pull Request
uses: peter-evans/create-pull-request@v4
uses: peter-evans/create-pull-request@v5
with:
commit-message: Yaml updates
signoff: true

View File

@@ -1,7 +1,7 @@
# Caddy is a requirement
FROM caddy:2.6.4-alpine as caddy
FROM httpd:2.4.56-alpine3.17
FROM httpd:2.4.57-alpine3.17
RUN set -ex; \
apk add --no-cache shadow; \

View File

@@ -2,8 +2,5 @@
nc -z "$NEXTCLOUD_HOST" 9000 || exit 0
nc -z localhost 8000 || exit 1
if [ "$APACHE_PORT" != '443' ]; then
nc -z localhost "$APACHE_PORT" || exit 1
else
nc -z "$NC_DOMAIN" "$APACHE_PORT" || exit 1
fi
nc -z localhost "$APACHE_PORT" || exit 1
nc -z "$NC_DOMAIN" 443 || exit 1

View File

@@ -127,7 +127,7 @@ if [ "$BORG_MODE" = backup ]; then
# Borg options
# auto,zstd compression seems to has the best ratio based on:
# https://forum.level1techs.com/t/optimal-compression-for-borg-backups/145870/6
BORG_OPTS=(-v --stats --compression "auto,zstd" --exclude-caches --checkpoint-interval 86400)
BORG_OPTS=(-v --stats --compression "auto,zstd" --exclude-caches)
# Exclude the nextcloud log and audit log for GDPR reasons
BORG_EXCLUDE=(--exclude "/nextcloud_aio_volumes/nextcloud_aio_nextcloud/data/nextcloud.log*" --exclude "/nextcloud_aio_volumes/nextcloud_aio_nextcloud/data/audit.log")

View File

@@ -1,5 +1,5 @@
# Probably from this file: https://github.com/Cisco-Talos/clamav-docker/blob/main/clamav/0.105/alpine/Dockerfile
FROM clamav/clamav:1.0.1-1
FROM clamav/clamav:1.0.1-2
RUN apk add --no-cache tzdata
COPY clamav.conf /tmp/

View File

@@ -1,29 +1,33 @@
# From https://github.com/h2non/imaginary/blob/master/Dockerfile
FROM nextcloud/imaginary:20230301
USER root
FROM golang:1.20.3-alpine3.17 as go
RUN set -ex; \
\
apt-get update; \
apt-get install -y --no-install-recommends \
netcat \
; \
echo "deb http://deb.debian.org/debian bookworm main" > /etc/apt/sources.list.d/bookworm.list; \
apt-get update; \
apt-get install -t bookworm -y --no-install-recommends \
libheif1 \
libde265-0 \
libx265-199 \
libvips \
; \
rm /etc/apt/sources.list.d/bookworm.list; \
rm -rf /var/lib/apt/lists/*
apk add --no-cache \
vips-dev \
vips-magick \
vips-heif \
vips-jxl \
vips-poppler \
build-base; \
go install github.com/h2non/imaginary@b632dae8cc321452c3f85bcae79c580b1ae1ed84
FROM alpine:3.17.3
RUN set -ex; \
apk add --no-cache \
tzdata \
ca-certificates \
netcat-openbsd \
vips \
vips-magick \
vips-heif \
vips-jxl \
vips-poppler
COPY --from=go /go/bin/imaginary /usr/local/bin/imaginary
USER nobody
ENTRYPOINT ["/usr/local/bin/imaginary", "-return-size", "-max-allowed-resolution", "222.2"]
HEALTHCHECK CMD nc -z localhost 9000 || exit 1
LABEL com.centurylinklabs.watchtower.monitor-only="true"
# https://github.com/h2non/imaginary#memory-issues
ENV MALLOC_ARENA_MAX=2
ENTRYPOINT ["imaginary", "-p", "9000", "-return-size", "-max-allowed-resolution", "222.2"]
HEALTHCHECK CMD nc -z localhost 9000 || exit 1
LABEL com.centurylinklabs.watchtower.monitor-only="true"

View File

@@ -1,5 +1,5 @@
# Docker CLI is a requirement
FROM docker:23.0.2-cli as docker
FROM docker:23.0.3-cli as docker
# Caddy is a requirement
FROM caddy:2.6.4-alpine as caddy

View File

@@ -27,32 +27,21 @@ RUN set -ex; \
apk add --no-cache --virtual .build-deps \
$PHPIZE_DEPS \
autoconf \
libtool \
freetype-dev \
gmp-dev \
icu-dev \
imagemagick-dev \
libevent-dev \
libjpeg-turbo-dev \
libmcrypt-dev \
libpng-dev \
libmemcached-dev \
libpng-dev \
libwebp-dev \
libxml2-dev \
libzip-dev \
openldap-dev \
pcre-dev \
postgresql-dev \
libwebp-dev \
gmp-dev \
lcms2-dev \
fontconfig-dev \
freetype-dev \
ghostscript-dev \
tiff-dev \
zlib-dev \
imagemagick-dev \
libheif-dev \
librsvg-dev \
libxext-dev \
ghostscript-fonts \
; \
\
docker-php-ext-configure gd --with-freetype --with-jpeg --with-webp; \
@@ -61,13 +50,14 @@ RUN set -ex; \
bcmath \
exif \
gd \
gmp \
intl \
ldap \
opcache \
pcntl \
pdo_pgsql \
sysvsem \
zip \
gmp \
; \
\
# pecl will claim success even if one install fails, so we need to perform each install separately
@@ -215,12 +205,8 @@ RUN set -ex; \
mawk \
sudo \
grep \
coreutils \
libjpeg \
librsvg \
libheif \
libpng \
ghostscript-fonts;
nodejs \
coreutils;
RUN set -ex; \
grep -q '^pm = dynamic' /usr/local/etc/php-fpm.d/www.conf; \
@@ -264,6 +250,11 @@ RUN set -ex; \
VOLUME /mnt/ncdata
RUN set -ex; \
mkdir -p /nc-updater; \
chown -R www-data:www-data /nc-updater; \
chmod -R 770 /nc-updater
# Give root a random password
RUN echo "root:$(openssl rand -base64 12)" | chpasswd

View File

@@ -252,11 +252,27 @@ DATADIR_PERMISSION_CONF
if [ "$INSTALL_LATEST_MAJOR" = yes ]; then
php /var/www/html/occ config:system:set updater.release.channel --value=beta
php /var/www/html/occ config:system:set updatedirectory --value="/nc-updater"
php /var/www/html/updater/updater.phar --no-interaction
php /var/www/html/occ app:enable nextcloud-aio --force
if ! php /var/www/html/occ -V || php /var/www/html/occ status | grep maintenance | grep -q 'true'; then
echo "Installation of Nextcloud failed!"
touch "$NEXTCLOUD_DATA_DIR/install.failed"
exit 1
fi
# shellcheck disable=SC2016
installed_version="$(php -r 'require "/var/www/html/version.php"; echo implode(".", $OC_Version);')"
INSTALLED_MAJOR="${installed_version%%.*}"
IMAGE_MAJOR="${image_version%%.*}"
if ! [ "$INSTALLED_MAJOR" -gt "$IMAGE_MAJOR" ]; then
php /var/www/html/occ config:system:set updater.release.channel --value=beta
php /var/www/html/occ config:system:set updatedirectory --value="/nc-updater"
php /var/www/html/updater/updater.phar --no-interaction
if ! php /var/www/html/occ -V || php /var/www/html/occ status | grep maintenance | grep -q 'true'; then
echo "Installation of Nextcloud failed!"
touch "$NEXTCLOUD_DATA_DIR/install.failed"
exit 1
fi
fi
php /var/www/html/occ config:system:set updater.release.channel --value=stable
php /var/www/html/occ db:add-missing-indices
@@ -427,6 +443,7 @@ php /var/www/html/occ app:enable support
echo "Adjusting log files..."
php /var/www/html/occ config:system:set logfile --value="/var/www/html/data/nextcloud.log"
php /var/www/html/occ config:app:set admin_audit logfile --value="/var/www/html/data/audit.log"
php /var/www/html/occ config:system:set updatedirectory --value="/nc-updater"
# Apply network settings
echo "Applying network settings..."
@@ -613,6 +630,12 @@ if version_greater "$installed_version" "24.0.0.0"; then
fi
fi
# Migration to ES8 is pending, thus disabling FTS for now.
if [ "$INSTALL_LATEST_MAJOR" = yes ] || version_greater "$installed_version" "26.0.0.0"; then
export FULLTEXTSEARCH_ENABLED=no
echo "Fulltextsearch is not compatible with Nextcloud 26 and is getting disabled."
fi
# Fulltextsearch
if [ "$FULLTEXTSEARCH_ENABLED" = 'yes' ]; then
while ! nc -z "$FULLTEXTSEARCH_HOST" 9200; do

View File

@@ -1,6 +1,6 @@
FROM nats:2.9.15-scratch as nats
FROM strukturag/nextcloud-spreed-signaling:1.1.2 as signaling
FROM alpine:3.17.3
FROM coturn/coturn:4.6.2-alpine
USER root
COPY --from=nats /nats-server /usr/local/bin/nats-server
@@ -11,7 +11,6 @@ RUN set -ex; \
ca-certificates \
tzdata \
bash \
coturn \
openssl \
supervisor \
bind-tools \
@@ -67,5 +66,5 @@ USER talk
ENTRYPOINT ["start.sh"]
CMD ["/usr/bin/supervisord", "-c", "/supervisord.conf"]
HEALTHCHECK CMD (nc -z localhost 8081 && nc -z localhost 8188 && nc -z localhost 4222 && nc -z localhost $TALK_PORT) || exit 1
HEALTHCHECK CMD (nc -z localhost 8081 && nc -z localhost 8188 && nc -z localhost 4222 && nc -z localhost "$TALK_PORT" && nc -z "$NC_DOMAIN" "$TALK_PORT") || exit 1
LABEL com.centurylinklabs.watchtower.monitor-only="true"

View File

@@ -11,5 +11,6 @@ declare(strict_types=1);
/** @var array $_ */ ?>
<div id="allinone" class="section">
<h2><?php p($l->t('Nextcloud All In One'));?></h2>
<a href="<?php p($_['AIOLoginUrl']);?>" class="button" target="_blank" rel="noopener">Open Nextcloud AIO Interface ↗</a>
<a href="<?php p($_['AIOLoginUrl']);?>" class="button" target="_blank" rel="noopener">Open Nextcloud AIO Interface ↗</a><br><br>
<p><a href="https://github.com/nextcloud/all-in-one#how-to-easily-log-in-to-the-aio-interface">Click here for more infos on this feature (e.g. also on how to change the link in the button)</a></p>
</div>

View File

@@ -44,6 +44,7 @@ services:
restart: unless-stopped
networks:
- nextcloud-aio
shm_size: 268435456
nextcloud-aio-nextcloud:
depends_on:
@@ -101,7 +102,7 @@ services:
- STARTUP_APPS=${NEXTCLOUD_STARTUP_APPS}
- ADDITIONAL_APKS=${NEXTCLOUD_ADDITIONAL_APKS}
- ADDITIONAL_PHP_EXTENSIONS=${NEXTCLOUD_ADDITIONAL_PHP_EXTENSIONS}
- SKIP_DATA_DIRECTORY_PERMISSION_CHECK=${SKIP_DATA_DIRECTORY_PERMISSION_CHECK}
- INSTALL_LATEST_MAJOR=${INSTALL_LATEST_MAJOR}
restart: unless-stopped
networks:
- nextcloud-aio

View File

@@ -10,6 +10,7 @@ COLLABORA_SECCOMP_POLICY=--o:security.seccomp=true # Changing the value
DATABASE_PASSWORD= # TODO! This needs to be a unique and good password!
FULLTEXTSEARCH_ENABLED="no" # Setting this to "yes" (with quotes) enables the option in Nextcloud automatically.
IMAGINARY_ENABLED="no" # Setting this to "yes" (with quotes) enables the option in Nextcloud automatically.
INSTALL_LATEST_MAJOR=no # Setting this to yes will install the latest Major Nextcloud version upon the first installation
NC_DOMAIN=yourdomain.com # TODO! Needs to be changed to the domain that you want to use for Nextcloud.
NEXTCLOUD_ADDITIONAL_APKS=imagemagick # This allows to add additional packages to the Nextcloud container permanently. Default is imagemagick but can be overwritten by modifying this value.
NEXTCLOUD_ADDITIONAL_PHP_EXTENSIONS=imagick # This allows to add additional php extensions to the Nextcloud container permanently. Default is imagick but can be overwritten by modifying this value.
@@ -25,7 +26,6 @@ ONLYOFFICE_ENABLED="no" # Setting this to "yes" (with quotes) enables t
ONLYOFFICE_SECRET= # TODO! This needs to be a unique and good password!
REDIS_PASSWORD= # TODO! This needs to be a unique and good password!
SIGNALING_SECRET= # TODO! This needs to be a unique and good password!
SKIP_DATA_DIRECTORY_PERMISSION_CHECK="no" # When setting to "yes" (with quotes), it will skip the datadir permission check upon the initial Nextcloud installation.
TALK_ENABLED="no" # Setting this to "yes" (with quotes) enables the option in Nextcloud automatically.
TALK_PORT=3478 # This allows to adjust the port that the talk container is using.
TIMEZONE=Europe/Berlin # TODO! This is the timezone that your containers will use.

View File

@@ -1,12 +1,13 @@
name: nextcloud-aio-helm-chart
description: A generated Helm Chart for Nextcloud AIO from Skippbox Kompose
version: 4.7.0
version: 4.8.1
apiVersion: v2
keywords:
- latest
- nextcloud
- helm-chart
- open-source
- cloud
sources:
- https://github.com/nextcloud/all-in-one/tree/main/nextcloud-aio-helm-chart
home: https://github.com/nextcloud/all-in-one/tree/main/nextcloud-aio-helm-chart

View File

@@ -54,7 +54,7 @@ spec:
value: nextcloud-aio-talk
- name: TZ
value: "{{ .Values.TIMEZONE }}"
image: nextcloud/aio-apache:20230330_075307-latest
image: nextcloud/aio-apache:20230414_123705-latest
name: nextcloud-aio-apache
ports:
- containerPort: {{ .Values.APACHE_PORT }}

View File

@@ -38,7 +38,7 @@ spec:
value: "90"
- name: TZ
value: "{{ .Values.TIMEZONE }}"
image: nextcloud/aio-clamav:20230330_075307-latest
image: nextcloud/aio-clamav:20230414_123705-latest
name: nextcloud-aio-clamav
ports:
- containerPort: 3310

View File

@@ -44,7 +44,7 @@ spec:
value: --o:ssl.enable=false --o:ssl.termination=true --o:mount_jail_tree=false --o:logging.level=warning --o:home_mode.enable=true {{ .Values.COLLABORA_SECCOMP_POLICY }} --o:remote_font_config.url=https://{{ .Values.NC_DOMAIN }}/apps/richdocuments/settings/fonts.json
- name: server_name
value: "{{ .Values.NC_DOMAIN }}"
image: nextcloud/aio-collabora:20230330_075307-latest
image: nextcloud/aio-collabora:20230414_123705-latest
name: nextcloud-aio-collabora
ports:
- containerPort: 9980

View File

@@ -46,7 +46,7 @@ spec:
value: nextcloud
- name: TZ
value: "{{ .Values.TIMEZONE }}"
image: nextcloud/aio-postgresql:20230330_075307-latest
image: nextcloud/aio-postgresql:20230414_123705-latest
name: nextcloud-aio-database
ports:
- containerPort: 5432

View File

@@ -42,7 +42,7 @@ spec:
value: "{{ .Values.TIMEZONE }}"
- name: discovery.type
value: single-node
image: nextcloud/aio-fulltextsearch:20230330_075307-latest
image: nextcloud/aio-fulltextsearch:20230414_123705-latest
name: nextcloud-aio-fulltextsearch
ports:
- containerPort: 9200

View File

@@ -26,7 +26,7 @@ spec:
- env:
- name: TZ
value: "{{ .Values.TIMEZONE }}"
image: nextcloud/aio-imaginary:20230330_075307-latest
image: nextcloud/aio-imaginary:20230414_123705-latest
name: nextcloud-aio-imaginary
ports:
- containerPort: 9000

View File

@@ -64,6 +64,8 @@ spec:
value: "{{ .Values.IMAGINARY_ENABLED }}"
- name: IMAGINARY_HOST
value: nextcloud-aio-imaginary
- name: INSTALL_LATEST_MAJOR
value: "{{ .Values.INSTALL_LATEST_MAJOR }}"
- name: NC_DOMAIN
value: "{{ .Values.NC_DOMAIN }}"
- name: NEXTCLOUD_DATA_DIR
@@ -98,8 +100,6 @@ spec:
value: "{{ .Values.REDIS_PASSWORD }}"
- name: SIGNALING_SECRET
value: "{{ .Values.SIGNALING_SECRET }}"
- name: SKIP_DATA_DIRECTORY_PERMISSION_CHECK
value: "{{ .Values.SKIP_DATA_DIRECTORY_PERMISSION_CHECK }}"
- name: STARTUP_APPS
value: "{{ .Values.NEXTCLOUD_STARTUP_APPS }}"
- name: TALK_ENABLED
@@ -114,7 +114,7 @@ spec:
value: "{{ .Values.TIMEZONE }}"
- name: UPDATE_NEXTCLOUD_APPS
value: "{{ .Values.UPDATE_NEXTCLOUD_APPS }}"
image: nextcloud/aio-nextcloud:20230330_075307-latest
image: nextcloud/aio-nextcloud:20230414_123705-latest
name: nextcloud-aio-nextcloud
ports:
- containerPort: 9000

View File

@@ -42,7 +42,7 @@ spec:
value: "{{ .Values.ONLYOFFICE_SECRET }}"
- name: TZ
value: "{{ .Values.TIMEZONE }}"
image: nextcloud/aio-onlyoffice:20230330_075307-latest
image: nextcloud/aio-onlyoffice:20230414_123705-latest
name: nextcloud-aio-onlyoffice
ports:
- containerPort: 80

View File

@@ -37,7 +37,7 @@ spec:
value: "{{ .Values.REDIS_PASSWORD }}"
- name: TZ
value: "{{ .Values.TIMEZONE }}"
image: nextcloud/aio-redis:20230330_075307-latest
image: nextcloud/aio-redis:20230414_123705-latest
name: nextcloud-aio-redis
ports:
- containerPort: 6379

View File

@@ -34,7 +34,7 @@ spec:
value: "{{ .Values.TURN_SECRET }}"
- name: TZ
value: "{{ .Values.TIMEZONE }}"
image: nextcloud/aio-talk:20230330_075307-latest
image: nextcloud/aio-talk:20230414_123705-latest
name: nextcloud-aio-talk
ports:
- containerPort: {{ .Values.TALK_PORT }}

View File

@@ -9,6 +9,7 @@ COLLABORA_SECCOMP_POLICY: --o:security.seccomp=true # Changing the valu
DATABASE_PASSWORD: # TODO! This needs to be a unique and good password!
FULLTEXTSEARCH_ENABLED: "no" # Setting this to "yes" (with quotes) enables the option in Nextcloud automatically.
IMAGINARY_ENABLED: "no" # Setting this to "yes" (with quotes) enables the option in Nextcloud automatically.
INSTALL_LATEST_MAJOR: no # Setting this to yes will install the latest Major Nextcloud version upon the first installation
NC_DOMAIN: yourdomain.com # TODO! Needs to be changed to the domain that you want to use for Nextcloud.
NEXTCLOUD_ADDITIONAL_APKS: imagemagick # This allows to add additional packages to the Nextcloud container permanently. Default is imagemagick but can be overwritten by modifying this value.
NEXTCLOUD_ADDITIONAL_PHP_EXTENSIONS: imagick # This allows to add additional php extensions to the Nextcloud container permanently. Default is imagick but can be overwritten by modifying this value.
@@ -22,7 +23,6 @@ ONLYOFFICE_ENABLED: "no" # Setting this to "yes" (with quotes) enables
ONLYOFFICE_SECRET: # TODO! This needs to be a unique and good password!
REDIS_PASSWORD: # TODO! This needs to be a unique and good password!
SIGNALING_SECRET: # TODO! This needs to be a unique and good password!
SKIP_DATA_DIRECTORY_PERMISSION_CHECK: no # When setting to yes (with quotes), it will skip the datadir permission check upon the initial Nextcloud installation.
TALK_ENABLED: "no" # Setting this to "yes" (with quotes) enables the option in Nextcloud automatically.
TALK_PORT: 3478 # This allows to adjust the port that the talk container is using.
TIMEZONE: Europe/Berlin # TODO! This is the timezone that your containers will use.

81
php/composer.lock generated
View File

@@ -729,21 +729,21 @@
},
{
"name": "psr/http-client",
"version": "1.0.1",
"version": "1.0.2",
"source": {
"type": "git",
"url": "https://github.com/php-fig/http-client.git",
"reference": "2dfb5f6c5eff0e91e20e913f8c5452ed95b86621"
"reference": "0955afe48220520692d2d09f7ab7e0f93ffd6a31"
},
"dist": {
"type": "zip",
"url": "https://api.github.com/repos/php-fig/http-client/zipball/2dfb5f6c5eff0e91e20e913f8c5452ed95b86621",
"reference": "2dfb5f6c5eff0e91e20e913f8c5452ed95b86621",
"url": "https://api.github.com/repos/php-fig/http-client/zipball/0955afe48220520692d2d09f7ab7e0f93ffd6a31",
"reference": "0955afe48220520692d2d09f7ab7e0f93ffd6a31",
"shasum": ""
},
"require": {
"php": "^7.0 || ^8.0",
"psr/http-message": "^1.0"
"psr/http-message": "^1.0 || ^2.0"
},
"type": "library",
"extra": {
@@ -763,7 +763,7 @@
"authors": [
{
"name": "PHP-FIG",
"homepage": "http://www.php-fig.org/"
"homepage": "https://www.php-fig.org/"
}
],
"description": "Common interface for HTTP clients",
@@ -775,27 +775,27 @@
"psr-18"
],
"support": {
"source": "https://github.com/php-fig/http-client/tree/master"
"source": "https://github.com/php-fig/http-client/tree/1.0.2"
},
"time": "2020-06-29T06:28:15+00:00"
"time": "2023-04-10T20:12:12+00:00"
},
{
"name": "psr/http-factory",
"version": "1.0.1",
"version": "1.0.2",
"source": {
"type": "git",
"url": "https://github.com/php-fig/http-factory.git",
"reference": "12ac7fcd07e5b077433f5f2bee95b3a771bf61be"
"reference": "e616d01114759c4c489f93b099585439f795fe35"
},
"dist": {
"type": "zip",
"url": "https://api.github.com/repos/php-fig/http-factory/zipball/12ac7fcd07e5b077433f5f2bee95b3a771bf61be",
"reference": "12ac7fcd07e5b077433f5f2bee95b3a771bf61be",
"url": "https://api.github.com/repos/php-fig/http-factory/zipball/e616d01114759c4c489f93b099585439f795fe35",
"reference": "e616d01114759c4c489f93b099585439f795fe35",
"shasum": ""
},
"require": {
"php": ">=7.0.0",
"psr/http-message": "^1.0"
"psr/http-message": "^1.0 || ^2.0"
},
"type": "library",
"extra": {
@@ -815,7 +815,7 @@
"authors": [
{
"name": "PHP-FIG",
"homepage": "http://www.php-fig.org/"
"homepage": "https://www.php-fig.org/"
}
],
"description": "Common interfaces for PSR-7 HTTP message factories",
@@ -830,31 +830,31 @@
"response"
],
"support": {
"source": "https://github.com/php-fig/http-factory/tree/master"
"source": "https://github.com/php-fig/http-factory/tree/1.0.2"
},
"time": "2019-04-30T12:38:16+00:00"
"time": "2023-04-10T20:10:41+00:00"
},
{
"name": "psr/http-message",
"version": "1.0.1",
"version": "1.1",
"source": {
"type": "git",
"url": "https://github.com/php-fig/http-message.git",
"reference": "f6561bf28d520154e4b0ec72be95418abe6d9363"
"reference": "cb6ce4845ce34a8ad9e68117c10ee90a29919eba"
},
"dist": {
"type": "zip",
"url": "https://api.github.com/repos/php-fig/http-message/zipball/f6561bf28d520154e4b0ec72be95418abe6d9363",
"reference": "f6561bf28d520154e4b0ec72be95418abe6d9363",
"url": "https://api.github.com/repos/php-fig/http-message/zipball/cb6ce4845ce34a8ad9e68117c10ee90a29919eba",
"reference": "cb6ce4845ce34a8ad9e68117c10ee90a29919eba",
"shasum": ""
},
"require": {
"php": ">=5.3.0"
"php": "^7.2 || ^8.0"
},
"type": "library",
"extra": {
"branch-alias": {
"dev-master": "1.0.x-dev"
"dev-master": "1.1.x-dev"
}
},
"autoload": {
@@ -883,27 +883,27 @@
"response"
],
"support": {
"source": "https://github.com/php-fig/http-message/tree/master"
"source": "https://github.com/php-fig/http-message/tree/1.1"
},
"time": "2016-08-06T14:39:51+00:00"
"time": "2023-04-04T09:50:52+00:00"
},
{
"name": "psr/http-server-handler",
"version": "1.0.1",
"version": "1.0.2",
"source": {
"type": "git",
"url": "https://github.com/php-fig/http-server-handler.git",
"reference": "aff2f80e33b7f026ec96bb42f63242dc50ffcae7"
"reference": "84c4fb66179be4caaf8e97bd239203245302e7d4"
},
"dist": {
"type": "zip",
"url": "https://api.github.com/repos/php-fig/http-server-handler/zipball/aff2f80e33b7f026ec96bb42f63242dc50ffcae7",
"reference": "aff2f80e33b7f026ec96bb42f63242dc50ffcae7",
"url": "https://api.github.com/repos/php-fig/http-server-handler/zipball/84c4fb66179be4caaf8e97bd239203245302e7d4",
"reference": "84c4fb66179be4caaf8e97bd239203245302e7d4",
"shasum": ""
},
"require": {
"php": ">=7.0",
"psr/http-message": "^1.0"
"psr/http-message": "^1.0 || ^2.0"
},
"type": "library",
"extra": {
@@ -923,7 +923,7 @@
"authors": [
{
"name": "PHP-FIG",
"homepage": "http://www.php-fig.org/"
"homepage": "https://www.php-fig.org/"
}
],
"description": "Common interface for HTTP server-side request handler",
@@ -939,28 +939,27 @@
"server"
],
"support": {
"issues": "https://github.com/php-fig/http-server-handler/issues",
"source": "https://github.com/php-fig/http-server-handler/tree/master"
"source": "https://github.com/php-fig/http-server-handler/tree/1.0.2"
},
"time": "2018-10-30T16:46:14+00:00"
"time": "2023-04-10T20:06:20+00:00"
},
{
"name": "psr/http-server-middleware",
"version": "1.0.1",
"version": "1.0.2",
"source": {
"type": "git",
"url": "https://github.com/php-fig/http-server-middleware.git",
"reference": "2296f45510945530b9dceb8bcedb5cb84d40c5f5"
"reference": "c1481f747daaa6a0782775cd6a8c26a1bf4a3829"
},
"dist": {
"type": "zip",
"url": "https://api.github.com/repos/php-fig/http-server-middleware/zipball/2296f45510945530b9dceb8bcedb5cb84d40c5f5",
"reference": "2296f45510945530b9dceb8bcedb5cb84d40c5f5",
"url": "https://api.github.com/repos/php-fig/http-server-middleware/zipball/c1481f747daaa6a0782775cd6a8c26a1bf4a3829",
"reference": "c1481f747daaa6a0782775cd6a8c26a1bf4a3829",
"shasum": ""
},
"require": {
"php": ">=7.0",
"psr/http-message": "^1.0",
"psr/http-message": "^1.0 || ^2.0",
"psr/http-server-handler": "^1.0"
},
"type": "library",
@@ -981,7 +980,7 @@
"authors": [
{
"name": "PHP-FIG",
"homepage": "http://www.php-fig.org/"
"homepage": "https://www.php-fig.org/"
}
],
"description": "Common interface for HTTP server-side middleware",
@@ -997,9 +996,9 @@
],
"support": {
"issues": "https://github.com/php-fig/http-server-middleware/issues",
"source": "https://github.com/php-fig/http-server-middleware/tree/master"
"source": "https://github.com/php-fig/http-server-middleware/tree/1.0.2"
},
"time": "2018-10-30T17:12:04+00:00"
"time": "2023-04-11T06:14:47+00:00"
},
{
"name": "psr/log",

View File

@@ -303,6 +303,8 @@ class ConfigurationManager
$testUrl = $protocol . $domain . ':443';
curl_setopt($ch, CURLOPT_URL, $testUrl);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 10);
curl_setopt($ch, CURLOPT_TIMEOUT, 10);
$response = (string)curl_exec($ch);
# Get rid of trailing \n
$response = str_replace("\n", "", $response);

View File

@@ -16,7 +16,7 @@
</header>
<div class="content">
<h1>Nextcloud AIO v4.8.0</h1>
<h1>Nextcloud AIO v4.9.0</h1>
{# Add 2nd tab warning #}
<script type="text/javascript" src="second-tab-warning.js"></script>

View File

@@ -138,7 +138,7 @@ The easiest way to run it with Portainer on Linux is to use Portainer's stacks f
- If you are using AIO's built-in Reverse Proxy and don't use your own, then may the certificate issuing possibly not work out-of-the-box because Cloudflare might block the attempt. In that case you need to disable the Proxy feature at least temporarily in order to make it work. See https://github.com/nextcloud/all-in-one/discussions/1101.
### How to run Nextcloud behind a Cloudflare Tunnel?
Although it does not seems like it is the case but from AIO perspective a Cloudflare Tunnel works like a reverse proxy. So please follow the [reverse proxy documentation](./reverse-proxy.md) where is documented how to make it run behind a Cloudflare Tunnel.
Although it does not seems like it is the case but from AIO perspective a Cloudflare Tunnel works like a reverse proxy. So please follow the [reverse proxy documentation](./reverse-proxy.md) where is documented how to make it run behind a Cloudflare Tunnel. Also see https://github.com/dani-garcia/vaultwarden/wiki/Running-a-private-vaultwarden-instance-with-Let%27s-Encrypt-certs#cloudflare-setup for additional docs on this topic.
### Disrecommended VPS providers
- Stratos VPS crash/freeze/make errors when they reach an extremely low PID limit, which is very quickly reached by AIO, see [here](https://github.com/nextcloud/all-in-one/discussions/1747#discussioncomment-4716164), Strato does normally not increase this limit.
@@ -153,7 +153,7 @@ In general recommended VPS are those that are KVM/non-virtualized as Docker shou
- HDD storage should work as well but is of course much slower than SSD storage
### How to get Nextcloud running using the ACME DNS-challenge?
You can install AIO in reverse proxy mode where is also documented how to get it running using the ACME DNS-challenge for getting a valid certificate for AIO. See the [reverse proxy documentation](./reverse-proxy.md). (Meant is the `Caddy with ACME DNS-challenge` section).
You can install AIO in reverse proxy mode where is also documented how to get it running using the ACME DNS-challenge for getting a valid certificate for AIO. See the [reverse proxy documentation](./reverse-proxy.md). (Meant is the `Caddy with ACME DNS-challenge` section). Also see https://github.com/dani-garcia/vaultwarden/wiki/Running-a-private-vaultwarden-instance-with-Let%27s-Encrypt-certs#getting-a-custom-caddy-build for additional docs on this topic.
### How to run Nextcloud locally?
If you do not want to open Nextcloud to the public internet, you may have a look at the following documentation how to set it up locally: [local-instance.md](./local-instance.md)
@@ -238,8 +238,9 @@ Here is how to reset the AIO instance properly:
1. Now remove all these stopped containers with `sudo docker container prune`
1. Delete the docker network with `sudo docker network rm nextcloud-aio`
1. Check which volumes are dangling with `sudo docker volume ls --filter "dangling=true"`
1. Now remove all these dangling volumes: `sudo docker volume prune` (on Windows you might need to remove some volumes afterwards manually with `docker volume rm nextcloud_aio_backupdir`, `docker volume rm nextcloud_aio_nextcloud_datadir`). Also if you've configured `NEXTCLOUD_DATADIR` to a path on your host instead of the default volume, you need to clean that up as well.
1. Make sure that no volumes are remaining with `sudo docker volume ls --format {{.Name}`. If no `nextcloud-aio` volumes are listed, you can proceed with the steps below. If there should be some, you will need to stop them with `sudo docker volume rm <volume_name>` until no one is listed anymore.
1. Now remove all these dangling volumes: `sudo docker volume prune docker --filter all=1` (on Windows you might need to remove some volumes afterwards manually with `docker volume rm nextcloud_aio_backupdir`, `docker volume rm nextcloud_aio_nextcloud_datadir`).
1. If you've configured `NEXTCLOUD_DATADIR` to a path on your host instead of the default volume, you need to clean that up as well. (E.g. by simply deleting the directory).
1. Make sure that no volumes are remaining with `sudo docker volume ls --format {{.Name}}`. If no `nextcloud-aio` volumes are listed, you can proceed with the steps below. If there should be some, you will need to stop them with `sudo docker volume rm <volume_name>` until no one is listed anymore.
1. Optional: You can remove all docker images with `sudo docker image prune -a`.
1. And you are done! Now feel free to start over with the recommended docker run command!
@@ -326,7 +327,7 @@ sudo borg delete --stats --progress "/mnt/backup/borg::20220223_174237-nextcloud
# If borg 1.2.0 or higher is installed, you then need to run borg compact in order to clean up the freed space
sudo borg --version
# If version number of the command above is higher than 1.2.0 you need to run the command below:
sudo borg compact "/mnt/backup/"
sudo borg compact "/mnt/backup/borg"
```